# XmDialogShell

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmDialogShell - Motif-compatible modal-dialog shell widget

## SYNOPSIS

#include <Xm/DialogS.h>

XmDialogShell

XmCreateDialogShell

## DESCRIPTION

XmDialogShell is a Shell widget, which means its main purpose is to interface between the application and the window manager.

XmDialogShell specifically interfaces between XmBulletinBoard(3x) and its subclasses and the window manager. More information on this is found in the XmBulletinBoard(3x) documentation.

An instance of this class is created on the fly when some convenience functions are called. In these cases, two (or more) widgets are actually created, and the return value of the function is the widget ID of the widget which is a child of the dialog shell. This is a grandchild of the widget whose ID was passed to the function.

## X RESOURCES

Name | Class | Type | Default | Access

## CLASS HIERARCHY

Object(3) Rect(3) UnNamedObj(3) Core(3) Composite(3) Shell(3) WMShell(3) VendorShell(3) TransientShell(3) XmDialogShell(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

XmCreateBulletinBoardDialog(3x) XmCreateFormDialog(3x) XmCreateMessageDialog(3x) XmCreateQuestionDialog(3x) XmCreateWarningDialog(3x) XmCreateErrorDialog(3x) XmCreateWorkingDialog(3x)

## SEE ALSO

XmBulletinBoard(3x)

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.